%define upstream_name    superclass
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Like parent, but with version checks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time.

If a module in the import list is followed by something that doesn't look
like a legal module name, the 'VERSION' method will be called with it as an
argument;

The synopsis example is mostly similar in effect to

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1810680
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1507180
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1287509
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.3.0-1.mga7
+ Revision: 1217245
- imported package perl-superclass


* Tue Apr 10 2018 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
